<?php
// get these values from your DB.

require_once('config.php');

$error_message;
$valid = true;

$itm_mst_stockno = $_REQUEST['itm_mst_stockno'];
$site_cd = $_REQUEST['site_cd'];

	

$sql= "select DISTINCT   itm_loc.itm_loc_stk_loc,   itm_loc_oh_qty,  
Ava_Qty = CASE WHEN ( itm_loc.itm_loc_oh_qty - itm_loc_hard_resrv ) >= 0 THEN ( itm_loc.itm_loc_oh_qty - itm_loc_hard_resrv) ELSE 0 END 
 
from itm_mst (NOLOCK), itm_loc (NOLOCK)

WHERE (	itm_mst.site_cd = itm_loc.site_cd  
AND 	itm_mst.RowID = itm_loc.mst_RowID  
AND		itm_loc_inc_ttloh = '1' 
AND		itm_loc_lockout4count = '0') 
and 	itm_mst_stockno = '".$itm_mst_stockno."'
and  	itm_mst.site_cd = '".$site_cd."'";

$stmt = sqlsrv_query( $conn, $sql);

if( !$stmt ) {
     $error_message = "Error selecting table (dft_mst)";
	 returnError($error_message);
     die( print_r( sqlsrv_errors(), true));
}

$json = array();

do {
     while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {
     $json[] = $row;
     }
} while ( sqlsrv_next_result($stmt) );

if ($valid) {
	sqlsrv_free_stmt( $stmt);
	sqlsrv_close( $conn);	
	
	returnData($json);	
}

function returnData($json){
	$returnData = array(
	'status' => 'SUCCESS',
	'data' => $json);
	
	echo json_encode($returnData);
}

function returnError($error_message){
	$json = array();
	
	$returnData = array(
	'status' => 'ERROR',
	'data' => $json);
	
	echo json_encode($returnData);
	
	sqlsrv_free_stmt( $stmt);
	sqlsrv_close( $conn);	
		
	exit();
}

 
?>